%global realname console_bridge
Name:		console-bridge
Version:	1.0.2
Release:	1%{?dist}
Summary:	Lightweight set of macros used for reporting information in libraries

Group:		Development/Libraries
License:	BSD
URL:		http://github.com/ros/console_bridge
Source0:        1.0.2.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:	cmake

%description
A very lightweight set of macros that can be used for reporting information 
in libraries. The logged information can be forwarded to other systems.

%package devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -n %{realname}-%{version}

%build
mkdir build;
pushd build
%cmake .. -DUSE_GNU_INSTALL_DIRS=ON
popd
make -C build %{?_smp_mflags}


%install
make -C build install DESTDIR=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_libdir}/*.so.*

%files devel
%{_includedir}/%{realname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{realname}

%changelog
* Thu Apr 27 2023 NiuTao niutao2@huawei.com 1.0.2-1
- Refactor spec and update software to 1.0.2
